```{image} icon/pytest-csv-params.png
:alt: Logo, shows a data table with an arrow to a test tube
:class: bg-primary
:width: 256px
:align: center
```

----

# Data-driven test parametrization für pytest with CSV files

[![PyPI - Downloads](https://img.shields.io/pypi/dw/pytest-csv-params?label=PyPI%20downloads&style=for-the-badge)](https://pypi.org/project/pytest-csv-params/)
[![PyPI - Version](https://img.shields.io/pypi/v/pytest-csv-params?label=PyPI%20version&style=for-the-badge)](https://pypi.org/project/pytest-csv-params/)
[![PyPI - Status](https://img.shields.io/pypi/status/pytest-csv-params?label=PyPI%20status&style=for-the-badge)](https://pypi.org/project/pytest-csv-params/)
[![PyPI - Format](https://img.shields.io/pypi/format/pytest-csv-params?label=PyPI%20format&style=for-the-badge)](https://pypi.org/project/pytest-csv-params/)

This pytest plugin allows you to parametrize your pytest tests by CSV files. Manage your test data independently of
your tests. This site guides you through [installation](pages/install) and [usage](pages/guide).

The plugin is [open source](https://git.codebau.dev/pytest-plugins/pytest-csv-params) and
[released under MIT license](pages/license).
It is listed in the [Python Package Index (PyPI)](https://pypi.org/project/pytest-csv-params/).

Your feedback, bug reports, improvements are appreciated! Get in touch via e-mail: `csv_params`@`jued`.`de`. Together
we'll find a way for your contribution.

----

```{eval-rst}
.. include:: _toc.rst
```

----

```{note}
This project is not affiliated with the pytest project, but heavily relies on it. Visit [pytest.org](https://pytest.org)
for more information about this great testing framework.
```
